function [energy,contras,homogenity,entropy,korel,shade,prominance] = hist2d_params(vstup)

% Funkce pro výpočet prvních 7 příznaků z dvojrozměrného histogramu z LBP
% Vstupy do funkce:
% vstup - histogram
% Výstupy z funce:
% energy - energie
% contras - kontrast
% homogenity - homogenita
% entropy - entropie
% korel - korelace
% shade - cluster shade
% prominance - cluster prominance

[radku sloupcu] = size(vstup);

koef = 0;

energy =0;
contras =0;
homogenity =0;
entropy =0;
korel = 0;
mix = 0;
miy = 0;
sigmax = 0;
sigmay = 0;
prominance = 0;
shade = 0;

% pomocne vypocty pro korelaci

for i=1:radku
    miy = miy + sum(vstup(i,:))*(i);
end

for i=1:sloupcu
    mix = mix + sum(vstup(:,i))*(i);
end

for i=1:radku
    sigmay = sigmay + (((i)-miy)^2)*sum(vstup(i,:));
end

for i=1:sloupcu
    sigmax = sigmax + (((i)-mix)^2)*sum(vstup(:,i));
end

% samotne parametry

for i=1:radku
    for j=1:sloupcu
        shade = shade + ((i - mix +j -miy)^3)*vstup(i,j);
        prominance = prominance + ((i - mix +j -miy)^4)*vstup(i,j);
        energy= energy + vstup(i,j)^2;
        contras = contras + ((i-j)^2)*vstup(i,j);
        homogenity = homogenity + vstup(i,j)/(1+(i-j)^2);        
        entropy = entropy - vstup(i,j)*log_zero(vstup(i,j)+koef);
        korel = korel + ((i)*(j)*vstup(i,j)-mix*miy);
    end

end

korel = korel/(sigmax*sigmay);

end